import request from './request'

/** 获取零售店列表 */
export function getShopList(params: any) {
  return request.get('/shop/list', {
    params,
    baseURL: '/v2',
    cancelable: true,
  })
}

/** 获取店铺可预约的时间段 */
export function getShopPeriods(params: any) {
  const { date, ...rest } = params
  return request.get('/igeektek', {
    params: { ...rest, api: `v2/repair/appointment/${date}` },
  })
}

/** 获取上次维修提交的电话号码 */
export function getRepairPhone() {
  return request.get<string>('/repair/phone')
}

/** 我的维修记录 */
export function getRepairList() {
  return request.get('/repair/list')
}

/** 创建维修申请 */
export function applyRepair(data: any) {
  return request.post('/repair/apply', data)
}

/** 修改维修申请 */
export function rescheduleRepair(data: any) {
  return request.post('/repair/reschedule', data)
}

export function cancelRepair(id: number) {
  return request.post('/repair/cancel', { id })
}

export function deleteRepair(id: number) {
  return request.post('/repair/delete', { id })
}

export function getRepairInfo(id: number) {
  return request.get('/repair/detail?id=' + id)
}
