import { reactive } from 'vue'
import * as api from '@/service/user'

export const state = reactive({
  bgWhite: false,
  userInfo: null as ApiUser.Info.Response | null,
})

export async function getUserInfo(reportError?: boolean) {
  const { results } = await api.getUserInfo(reportError)
  state.userInfo = results
  return results
}

export async function updateUserInfo(data: ApiUser.Update.Request) {
  await api.updateUserInfo(data)
  Object.assign(state.userInfo as ApiUser.Info.Response, data)
}

export async function logout() {
  await api.logout()
  state.userInfo = null
}
